/* 생성형 AI */
#generativeAi {
	font-family: 'GoogleSansFlex';
	margin-bottom: 100px;
}

#generativeAi .mo-image {
	display: none;
}

#generativeAi .contact-form .add-desc {
	display: none;
}

/*============ 소개 ============*/
#generativeAi .hero-intro img {
	width: 100%;
}

/*============ 주요 기능 ============*/
#generativeAi .features {
	padding: 0 32px 315px;	
	text-align: center;
	background-repeat: no-repeat;
	background-position: center bottom;
	background-image: url("../../images/egovframework/sub/features-bg-pc.png");
	background-size: cover;
}

#generativeAi .features .folder {
	display: flex;
	gap: 80px;
	justify-content: center;
	margin-bottom: 80px;
}

#generativeAi .features .folder li {
	display: flex;
	flex-direction: column;
	gap: 24px;
	cursor: pointer;
	width: 180px;
}

#generativeAi .features .folder li .icon  {
	width: 100%;
	padding-bottom: 72.223%;
	background-repeat: no-repeat;
	background-position: center bottom;
	background-image: url('../../images/egovframework/icon/folder.png');
	background-size: contain;
	text-indent: -9999px;
}

#generativeAi .features .folder li.active .icon  {
	background-image: url('../../images/egovframework/icon/folder-active.png');
}

#generativeAi .features .folder li .text  {
	font-size: 2rem;
	font-weight: 700;
	line-height: 2.5rem;
	color: #121212;
    word-break: keep-all;
}

#generativeAi .features .image-desc {
	max-width: 1074px;
	width: 100%;
	margin: 0 auto;
}

#generativeAi .features .image-desc li {
	display: none;
	width: 100%;
}

#generativeAi .features .image-desc li.active {
	display: block;
}

#generativeAi .features .image-desc li img {
	width: 100%;
}

/*============ 문의 ============*/
#generativeAi .cta {
  background: #0B0B0B;
  color: white;
  padding: 102px 100px 120px;
}

#generativeAi .cta-wrap {
  display: flex;
  justify-content: space-between;
  align-items: start;
  gap: 92px;
}

#generativeAi .cta-wrap .contact-left {
	margin-top: 120px;
}

#generativeAi .cta-wrap .contact-left .tit {
	font-weight: 500;
	font-size: 2.4rem;
	line-height: 3rem;
	margin-bottom: 24px;
}

#generativeAi .cta-wrap .contact-left .desc {
	font-weight: 700;
	font-size: 4.8rem;
	line-height: 6rem;
	margin-bottom: 40px;
}

#generativeAi .cta-wrap .contact-left .desc span {
	display: block;
}

#generativeAi .cta-wrap .contact-left a {
	background-color: #FFF;
	color: #121212;
	font-weight: 700;
	font-size: 2rem;
	line-height: 2.5rem;
	padding: 16px 64px;
	border-radius: 24px;
	display: block;
}

#generativeAi .contact-form {
	max-width: 514px;
	padding: 28px 40px 32px;
	background: #FFF;
	border-radius: 24px;
	box-sizing: border-box;
	width: 100%;
}

#generativeAi .form-row {
	display: grid;
	grid-template-columns: 186px 1fr;
	align-items: baseline;
	margin-bottom: 16px;
}

#generativeAi .form-row label {
	font-size: 2rem;
	font-weight: 900;
	line-height: 2.5rem;
	color: #121212;
}

#generativeAi .form-row input,
#generativeAi .form-row textarea {
	width: 100%;
	padding: 16px 12px;
	border-radius: 8px;
	border: 1px solid #EDF2FA;
	font-size: 1.4rem;
	font-weight: 500;
	line-height: 1.8rem;
	box-sizing: border-box;
}

#generativeAi .form-row input::placeholder,
#generativeAi .form-row textarea::placeholder {
	color: #CBD3DC;
}

#generativeAi .form-row textarea {
	height: 109px;
	resize: none;
	font-family: 'GoogleSansFlex';
}

#generativeAi .contact-form .request-btn {
	background-color: #FF5E73;
	font-size: 2rem;
	font-weight: 500;
	color: #FFF;
	padding: 16px;
	width: 100%;
	border-radius: 24px;
	border: none;
	cursor: pointer;
}

/* 약관동의 */
#generativeAi .form-agree {
	display: flex;
	flex-direction: column;
	color: #121212;
	margin: 24px 0;
}

#generativeAi .form-agree .agree-row {
	display: flex;
	align-items: center;
	height: 24px;
}

#generativeAi .form-agree .agree-row .agree-open {
	margin-left: auto;
	cursor: pointer;
	border: none;
	width: 28px;
	text-indent: -9999px;
	background-color: transparent;
	flex-grow: 1;
	position: relative;
}

#generativeAi .form-agree .agree-row .agree-open::before {
	position: absolute;
	top: 50%;
	right: 0;
	content: '';
	background: url('../../images/egovframework/icon/agree.png') no-repeat center center;
	background-size: 16px 8px;
	width: 16px;
	height: 16px;
	transform: translateY(-50%);
	transition: all 0.3;
}

#generativeAi .form-agree .agree-row .agree-open.active::before {
	transform: translateY(-50%) rotate(180deg);
}

#generativeAi .form-agree .agree-desc {
    height: 208px;
    margin-top: 24px;
	padding: 16px;
	border-radius: 8px;
	overflow-y: scroll;
	word-break: break-word;
	font-size: 1rem;
	font-weight: 500;
	line-height: 1.4rem;
	color: #A0A7B0;
	background-color: #F9FAFB;
}

#generativeAi .form-check-input {
	display: none;
}

#generativeAi .form-check-input + label {
	position: relative;
	padding-left: 32px;
	cursor: pointer;
	user-select: none;
	font-size: 1.4rem;
	font-weight: 500;
}

#generativeAi .form-agree label span {
	font-weight: 700;
}

#generativeAi .form-check-input + label::before {
	content: '';
	position: absolute;
	left: 0;
	top: -6px;
	width: 24px;
	height: 24px;
	border: 1px solid #121212;
	border-radius: 8px;
	transition: all 0.2s ease;
}

#generativeAi .form-check-input:checked + label::after {
	content: '';
	position: absolute;
	left: 9px;
	top: -1px;
	width: 6px;
	height: 10px;
	border: 1px solid #121212;
	border-width: 0 2px 2px 0;
	transform: rotate(45deg);
}

#generativeAi .form-check-input:checked + label::before {
	background-color: #FFF;
}

#generativeAi .info {
	margin-top: 120px;
	margin-bottom: 80px;
	display: flex;
	gap: 40px;
	justify-content:flex-end;
	font-weight: 400;
	font-size: 1.6rem;
}

#generativeAi .info strong {
	font-weight: 700;
}

#generativeAi .capyright {
	text-align: right;
	font-weight: 400;
	font-size: 1.6rem;
}

@media (max-width: 1200px) {
	#generativeAi .cta-wrap {
		flex-direction: column;
		align-items: center;
	}

	#generativeAi .cta-wrap .contact-left {
		margin-top: 0;
	}
}

@media (max-width: 1024px) {
	#generativeAi .features .folder li {
		gap: 14px;
	}
	
	#generativeAi .features .folder li .text {
		font-size: 1.6rem;
		line-height: 2rem;
	}

	#generativeAi .info {
		flex-direction: column;
		text-align: right;
	}
}

@media (max-width: 768px) {
	#generativeAi .pc-image {
		display: none;
	}
	
	#generativeAi .mo-image {
		display: block;
	}
	
	/*============ 주요 기능 ============*/
	#generativeAi .features {
		padding: 0 32px 89px;
		background-image: url("../../images/egovframework/sub/features-bg-mo.png");
	}

	#generativeAi .features .folder {
		gap: 28px;
		margin-bottom: 40px;
	}
	
	#generativeAi .features .folder li {
		gap: 8px;
	}
	
	#generativeAi .features .folder li .text{
		font-size: 1.2rem;
		line-height: 1.5rem;
	}
	
	#generativeAi .features .image-desc {
		position: relative;
	}
	
	#generativeAi .features .image-desc::after {
		content: '';
		position: absolute;
		left: -17px;
		bottom: 46px;
		width: 75px;
		height: 51px;
		background: url("../../images/egovframework/sub/features-ac.svg") no-repeat center center;
	}

	/*============ 문의 ============*/
	#generativeAi .cta {
		padding: 40px 32px 80px;
	}

	#generativeAi .cta-wrap .contact-left {
		width: 100%;
	}

	#generativeAi .cta-wrap .contact-left .tit {
		font-size: 0.8rem;
		font-weight: 500;
		line-height: 1rem;
		margin-bottom: 9px;
	}

	#generativeAi .cta-wrap .contact-left .desc {
		font-size: 1.4em;
		font-weight: 700;
		margin-bottom: 24px;
		line-height: 1.8rem;
	}

	#generativeAi .cta-wrap .contact-left .desc span {
		display: inline;
	}

	#generativeAi .cta-wrap .contact-left a {
		font-size: 1.4rem;
		line-height: 1.8rem;
		width: 100%;
		box-sizing: border-box;
        text-align: center;
		word-break: keep-all;
	}

	#generativeAi .contact-form .add-desc {
		display: block;
		text-align: left;
		color: #FFF;
		font-weight: 700;
		font-size: 1.4rem;
		margin-bottom: 40px;
	}

	#generativeAi .contact-form {
		background: none;
		min-width: unset;
		width: 100%;
		padding: 0;
		max-width: none;
	}

	#generativeAi .form-row {
		grid-template-columns: unset;
	}

	#generativeAi .form-row label {
		color: #FFF;
		font-size: 1.4rem;
		margin-bottom: 8px;
	}

	#generativeAi .form-row input, #generativeAi .form-row textarea {
		background-color: #1D1E20;
		color: #EDEDF7;
		border: none;
		padding: 14px 18px;
		font-size: 1.4rem;
	}

	#generativeAi .form-row input::placeholder,
	#generativeAi .form-row textarea::placeholder {
		color: #696F75;
	}

	#generativeAi .form-agree {
		color: #FFF;
		margin: 16px 0;
	}

	#generativeAi .form-check-input + label::before {
		border-color: #FFF;
		background-color: #121212;
	}
	
	#generativeAi .form-check-input + label {
		font-size: 1.2rem;
	}

	#generativeAi .form-check-input:checked + label::before {
		background-color: #121212;
	}

	#generativeAi .form-check-input:checked + label::after {
		border-color: #FFF;
	}

	#generativeAi .form-agree .agree-row .agree-open::before {
		background: url('../../images/egovframework/icon/agree-w.png') no-repeat center center;
		background-size: 24px 24px;
		width: 24px;
		height: 24px;
	}

	#generativeAi .form-agree .agree-desc {
		margin-top: 16px;
		background-color: #1D1E20;
		color: #A0A7B0;
	}

	#generativeAi .contact-form .request-btn {
		font-size: 1.4rem;
	}

	#generativeAi .info {
		margin-top: 80px;
		margin-bottom: 72px;
		text-align: left;
		gap: 16px;
		font-size: 1rem;
	}

	#generativeAi .info li:first-child {
		margin-bottom: 16px;
	}

	#generativeAi .capyright {
		text-align: left;
		font-size: 1.2rem;
	}
}